org.apache.cassandra.utils.memory

## Class MemtableAllocator.SubAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtableAllocator.SubAllocator

- Enclosing class:
    MemtableAllocator

      public static final class MemtableAllocator.SubAllocator
      extends java.lang.Object

  Mark the BB as unused, permitting it to be reclaimed

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjust(long size, OpOrder.Group opGroup)`
    `void` | `allocate(long size, OpOrder.Group opGroup)`
    `float` | `ownershipRatio()`
    `long` | `owns()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### adjust

          public void adjust(long size,
                             OpOrder.Group opGroup)

    - #### allocate

          public void allocate(long size,
                               OpOrder.Group opGroup)

    - #### owns

          public long owns()

    - #### ownershipRatio

          public float ownershipRatio()

Copyright © 2018 The Apache Software Foundation